Page MenuHomePhabricator

Create employee/developer onboarding process document
Closed, ResolvedPublic12 Story Points

Description

Background

As a newcomer to the Wikimedia community and also my first experience as a professional developer in a team the onboarding has been a overwhelming and difficult experience. Given that it is a priority to acquire and retain 'non-wikimedians' and junior level developers I suggest that the checklist for newly emplyed or trainees is complemented with a coherent recruitment process initially document based. Several smaller initiatives are currently in progress. However, I see a lack of high (e.g. "culture, role-expectations") and middle-level (e.g. how and why we use the tools we use, suggestions on how to give feedback and support) introductions.

A fairly simple way to start would be to base it on the article about onboarding and fill in the learnings in a simple, straigth-forward language with links to further reading.

1.A general introduction to Wikimedia Sverige (all newcomers)

2.A role-specific introduction for developers (can be a template for other roles)

Goals

These goals are taken from the Wikipedia article on onboarding. These can be continually measured as simply as talking about them at e.g. monthly 30 minute team meetings to adress them promptly by collaboratively making them actionable.

  • higher job satisfaction
  • better job performance
  • greater organizational commitment
  • eduction in occupational stress
  • reduction in intent to quit

Suggested structure

  1. People stuff

Expected behaviour at the office - shoes off, dishes, lunch-time, interrupting etc...
Expected behaviour in context partners (e.g. T154901), user communities, journalists, membership vs employment etc
Expected behaviour for MediaWiki developers

  1. Tool stuff

Expected work tools vs tools you can choose (e.g. T155170)
Examples of experienced use of Phabricator
Our technical quality standards (e.g. T154471)

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2017, 3:08 PM
Mattias_Ostmar-WMSE renamed this task from Create developer onboarding process document to Create employee/developer onboarding process document.Jan 19 2017, 3:09 PM
Mattias_Ostmar-WMSE updated the task description. (Show Details)

I'm curious if there's something to learn / take away / improve for our general Wikimedia developer onboarding docs.

Mattias_Ostmar-WMSE updated the task description. (Show Details)
Mattias_Ostmar-WMSE updated the task description. (Show Details)
Mattias_Ostmar-WMSE updated the task description. (Show Details)
Jopparn claimed this task.Sep 18 2017, 5:27 AM
Jopparn added a project: User-Jopparn.
Jopparn set the point value for this task to 12.

I'm curious if there's something to learn / take away / improve for our general Wikimedia developer onboarding docs.

Do you have any links you could share?

Do you have any links you could share?

The mess is documented in T169599. :-/

Jopparn moved this task from Backlog to This week on the User-Jopparn board.Nov 13 2018, 3:58 PM

@Sebastian_Berlin-WMSE
@Alicia_Fagerving_WMSE

The information about Wikimedia developer onboarding docs provided by Aklapper might be of interest.

The creation of a employee onboarding process document (handbook) is nearly done.

Jopparn closed this task as Resolved.Jan 8 2019, 3:48 PM
Jopparn moved this task from This week to Done on the User-Jopparn board.